Posted on

Php / Magento ‘requires’ Fatal Error …. need help interpreting problem

I am trying to install a new theme (not getting a reply from support about this and trying to fix it myself). After SFTP’ing the theme folders to my root folder, I am getting the following error when trying to load up the browser/GUI installer in Chrome/Safari.

Warning: require(/srv/public_html/pub/pearl-theme-installation/../app/bootstrap.php): failed to open stream: No such file or directory in /srv/public_html/pub/pearl-theme-installation/index.php on line 6

Warning: require(/srv/public_html/pub/pearl-theme-installation/../app/bootstrap.php): failed to open stream: No such file or directory in /srv/public_html/pub/pearl-theme-installation/index.php on line 6

Fatal error: require(): Failed opening required ‘/srv/public_html/pub/pearl-theme-installation/../app/bootstrap.php’ (include_path=’.:/usr/local/lib/php’) in /srv/public_html/pub/pearl-theme-installation/index.php on line 6

My limited knowledge and understanding tells me that the index.php file requires but cannot find the bootstrap.php file? Is this correct? And if so would it be likely that I have put the theme folders in the wrong place? I have tried to research how to read errors and interpret them, but I am a bit stuck. Thanks.

Leave a Reply

Your email address will not be published. Required fields are marked *